<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>com.sk89q.worldedit.function.visitor (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.sk89q.worldedit.function.visitor (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/util/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../com/sk89q/worldedit/history/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/visitor/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;com.sk89q.worldedit.function.visitor</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/visitor/BreadthFirstSearch.html" title="class in com.sk89q.worldedit.function.visitor">BreadthFirstSearch</a></td>
<td class="colLast">
<div class="block">Performs a breadth-first search starting from points added with
 <a href="../../../../../com/sk89q/worldedit/function/visitor/BreadthFirstSearch.html#visit-com.sk89q.worldedit.math.BlockVector3-"><code>BreadthFirstSearch.visit(BlockVector3)</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/visitor/DownwardVisitor.html" title="class in com.sk89q.worldedit.function.visitor">DownwardVisitor</a></td>
<td class="colLast">
<div class="block">Visits adjacent points on the same X-Z plane as long as the points
 pass the given mask, and then executes the provided region
 function on the entire column.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/visitor/EntityVisitor.html" title="class in com.sk89q.worldedit.function.visitor">EntityVisitor</a></td>
<td class="colLast">
<div class="block">Visits entities as provided by an <code>Iterator</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/visitor/FlatRegionVisitor.html" title="class in com.sk89q.worldedit.function.visitor">FlatRegionVisitor</a></td>
<td class="colLast">
<div class="block">Applies region functions to columns in a <a href="../../../../../com/sk89q/worldedit/regions/FlatRegion.html" title="interface in com.sk89q.worldedit.regions"><code>FlatRegion</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/visitor/LayerVisitor.html" title="class in com.sk89q.worldedit.function.visitor">LayerVisitor</a></td>
<td class="colLast">
<div class="block">Visits the layers within a region.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/visitor/NonRisingVisitor.html" title="class in com.sk89q.worldedit.function.visitor">NonRisingVisitor</a></td>
<td class="colLast">
<div class="block">A <a href="../../../../../com/sk89q/worldedit/function/visitor/RecursiveVisitor.html" title="class in com.sk89q.worldedit.function.visitor"><code>RecursiveVisitor</code></a> that goes orthogonally to the side and down, but never up.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/visitor/RecursiveVisitor.html" title="class in com.sk89q.worldedit.function.visitor">RecursiveVisitor</a></td>
<td class="colLast">
<div class="block">An implementation of an <a href="../../../../../com/sk89q/worldedit/function/visitor/BreadthFirstSearch.html" title="class in com.sk89q.worldedit.function.visitor"><code>BreadthFirstSearch</code></a> that uses a mask to
 determine where a block should be visited.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/sk89q/worldedit/function/visitor/RegionVisitor.html" title="class in com.sk89q.worldedit.function.visitor">RegionVisitor</a></td>
<td class="colLast">
<div class="block">Utility class to apply region functions to <a href="../../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions"><code>Region</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/function/util/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../com/sk89q/worldedit/history/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/visitor/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
